local Locale = LibStub("AceLocale-3.0"):NewLocale("Vex Alarm", "enUS", true)

--chat printouts
Locale["print defaults loaded"] = "defaults loaded"
Locale["print addon enabled"] = "enabled"
Locale["print addon disabled"] = "disabled"
Locale["print cmd not found"] = "cmd list"
Locale["print slashs useable"] = "and |CFFFF7D0A/vexa|r can be used"
Locale["print slashs options"] = "opens the option frame"
Locale["print slashs defaults"] = "resets the addon to defaults"
Locale["print slashs profile"] = "PROFILENAME - loads the spell-profil with the name 'PROFILNAME'"
Locale["print slashs enable"] = "enables/disables the addon"

--msg defaults
Locale["msgs buff active"] = "[spell_cc] casted by [caster_cc] on [target_cc]"
Locale["msgs buff inactive"] = "[spell_cc] casted by [caster_cc] on [target_cc]"
Locale["msgs selfbuff active"] = "[spell_cc] casted by [caster_cc]"
Locale["msgs selfbuff inactive"] = "[spell_cc] casted by [caster_cc]"
Locale["msgs grpbuff active"] = "[spell_cc] on"
Locale["msgs grpbuff inactive"] = "[spell_cc] off"
Locale["msgs instant"] = "[caster_cc] casted [spell_cc] on [target_cc]"
Locale["msgs instantself"] = "[caster_cc] casted [spell_cc]"
Locale["msgs status active"] = "active"
Locale["msgs status inactive"] = "inactive"

--------------------------------------------
------------------ OPTIONS -----------------
--------------------------------------------

--shared
Locale["opacity"] = "Opacity"
Locale["test-mode grpname"] = "Test-Mode"
Locale["activate test-mode"] = "Activate test-mode"
Locale["test-mode info"] = "As long as the testmode is active, the addon will show a message every few seconds"
Locale["buffs"] = "Buffs"
Locale["selfbuffs"] = "Selfbuffs"
Locale["grpbuffs"] = "Groupbuffs"
Locale["instants"] = "Casts with targets"
Locale["instantsself"] = "Casts without targets"
Locale["Reset"] = "reset to defaults"

--titles
Locale["titles Frame Design"] = "Frame Design"
Locale["titles Message Settings"] = "Message Settings"
Locale["titles Message Content"] = "Message Content"
Locale["titles Spell-Profiles"] = "Spell-Profiles"
Locale["titles Sounds"] = "Sounds"
Locale["titles Show/Enable"] = "Show/Enable"
Locale["titles Profiles"] = "Profiles"
Locale["titles Spells"] = "Spells"

--field
Locale["field possize grpname"] = "Position and Size"
Locale["field width"] = "width"
Locale["field width desc"] = "Sets the width of the frame"
Locale["field height"] = "height"
Locale["field height desc"] = "Sets the height of the frame"
Locale["field x position"] = "X Position"
Locale["field x position desc"] = "Sets the x position of the frame"
Locale["field y position"] = "Y Position"
Locale["field y position desc"] = "Sets the y position of the frame"
Locale["field anchor"] = "Anchor"
Locale["field anchor desc"] = "Sets the achor of the frame"
Locale["field anchor center"] = "Center"
Locale["field anchor bottom"] = "Bottom"
Locale["field anchor top"] = "Top"
Locale["field anchor left"] = "Left"
Locale["field anchor right"] = "Right"
Locale["field anchor bottomleft"] = "Bottomleft"
Locale["field anchor rottomright"] = "Bottomright"
Locale["field anchor topleft"] = "Topleft"
Locale["field anchor topright"] = "Topright"
Locale["field bg grpname"] = "Background Settings"
Locale["field bg texture"] = "Texture"
Locale["field bg color"] = "Color"
Locale["field border grpname"] = "Border Settings"
Locale["field border texture"] = "Texture"
Locale["field border size"] = "Size"
Locale["field border color"] = "Color"

--main
Locale["main Version"] = "Version"
Locale["main Author "] = "Author"
Locale["main Slashcmds"] = "Slash Cmds"

--msg content
Locale["msgcontent tags info grpname"] = "Parse Information Tags"
Locale["msgcontent tags info"] = "You can use the following tags to parse information in the messages\n\nCastername:\n|CFFFF7D0A[caster]|r uncolored, |CFFFF7D0A[caster_sc]|r specific colored, |CFFFF7D0A[caster_cc]|r classcolored\n\nTargetname:\n|CFFFF7D0A[target]|r uncolored, |CFFFF7D0A[target_sc]|r specific colored, |CFFFF7D0A[target_cc]|r classcolored\n\nSpellname:\n|CFFFF7D0A[spell]|r uncolored, |CFFFF7D0A[spell_sc]|r specific colored, |CFFFF7D0A[spell_cc]|r classcolored\n\nstatus:\n|CFFFF7D0A[status]|r uncolored, |CFFFF7D0A[status_c]|r specific colored"
Locale["msgcontent active message"] = "Active message"
Locale["msgcontent active message desc"] = "This message is shown when a buff becomes active"
Locale["msgcontent inactive message"] = "Inactive message"
Locale["msgcontent inactive message desc"] = "This message is shown when a buff becomes inactive"
Locale["msgcontent message"] = "Message"
Locale["msgcontent message desc"] = "this message is shown when a spell becomes active"
Locale["msgcontent status grpname"] = "[status] messages"
Locale["msgcontent status active"] = "[status] active"
Locale["msgcontent status inactive"] = "[status] inactive"

--msg settings
Locale["msgsettings text-format grpname"] = "Text Format"
Locale["msgsettings font"] = "Font"
Locale["msgsettings size"] = "Size"
Locale["msgsettings align"] = "Alignment"
Locale["msgsettings align left"] = "Left"
Locale["msgsettings align center"] = "Center"
Locale["msgsettings align right"] = "Right"
Locale["msgsettings effect"] = "Effect"
Locale["msgsettings effect none"] = "None"
Locale["msgsettings effect outline"] = "Outline"
Locale["msgsettings effect thickoutline"] = "Thickoutline"
Locale["msgsettings event grpname"] = "Event Settings"
Locale["msgsettings x"] = "X Position"
Locale["msgsettings x desc"] = "Distance from the left part of the frame to the message"
Locale["msgsettings y"] = "Y Position"
Locale["msgsettings y desc"] = "Distance from the top part of the frame to the message"
Locale["msgsettings distance"] = "Distance between events"
Locale["msgsettings distance desc"] = ""
Locale["msgsettings maxevents"] = "Maximum shown events"
Locale["msgsettings maxevents desc"] = "How many events do you want to be shown at most"
Locale["msgsettings upwards"] = "arrange events upwards, instead of downwards"
Locale["msgsettings colors grpname"] = "Text Colors"
Locale["msgsettings colors status_sc active"] = "{status_sc} active"
Locale["msgsettings colors gained"] = "text color for buff gained/cast succeded"
Locale["msgsettings colors status_sc inactive"] = "{status_sc} inactive"
Locale["msgsettings colors lost"] = "text color for buff lost"
Locale["msgsettings timedata grpname"] = "Time data"
Locale["msgsettings timedata allow"] = "Allow 'fade-out'-effect"
Locale["msgsettings timedata msg"] = "Duration: message"
Locale["msgsettings timedata msg desc"] = "How long events are shown before they fade out"
Locale["msgsettings timedata vanish"] = "Duration: 'fade-out' effect"
Locale["msgsettings timedata vanish desc"] = "How long events are fading out"
Locale["msgsettings deir-mode grpname "] = "'DEIR'-mode"
Locale["msgsettings deir-mode info"] = "In 'DEIR'-mode (Dead Events in Idle Rotatestate) the events don't move up anymore when an event-message which is displayed above them expired. They stay at their location where they are first shown."
Locale["msgsettings deir-mode activate"] = "Activate DEIR-mode"

--spells
Locale["spells class dk"] = "Death Knight"
Locale["spells class druid"] = "Druid"
Locale["spells class hunter"] = "Hunter"
Locale["spells class mage"] = "Mage"
Locale["spells class monk"] = "Monk"
Locale["spells class pala"] = "Paladin"
Locale["spells class priest"] = "Priest"
Locale["spells class rogue"] = "Rogue"
Locale["spells class shaman"] = "Shaman"
Locale["spells class wl"] = "Warlock"
Locale["spells class warrior"] = "Warrior"
Locale["spells class noclass"] = "not-class-specific spell"
Locale["spells role all"] = "All"
Locale["spells role tank"] = "Tank"
Locale["spells role heal"] = "Heal"
Locale["spells role dd"] = "DD"
Locale["spells role notset"] = "Role not set"
Locale["spells enable"] = "enable"
Locale["spells disable"] = "disable"
Locale["spells def buff"] = "'buff'-spells are buffs that have a single target"
Locale["spells def selfbuff"] = "'selfbuff'-spells are buffs that have no target and are mostly casted on yourself"
Locale["spells def grpbuff"] = "'grpbuff'-spells are buffs that effect multiple targets"
Locale["spells def cast"] = "'cast'-spells are spells that have a target"
Locale["spells def selfcast"] = "'selfcast'-spells are spells that have no target and are mostly casted on yourself"
Locale["spells contant to add"] = "If you're missing a spell and want it added to the list, feel free to contact me\nhttp://www.wowace.com/addons/cdalarm"
Locale["spells button"] = "all spells" -- [enable] 'all spells'
Locale["spells button desc"] = "all spells where the caster's role is:" -- [enable] 'all spells where the caster's role is' [role]
Locale["spells extra 86669"] = "holy"
Locale["spells extra 86698"] = "retri."
Locale["spells extra 86659"] = "prot.) (broken"
Locale["spells extra 77764"] = "cat form"
Locale["spells extra 77761"] = "bear form"
Locale["spells toggle desc"] = "Shall Vex Alarm post an alarm when the caster's role is:"

--spellprofiles
Locale["spellprofiles info"] = "You can save your current spell settings in profiles and load them later on. That way you can switch between profiles to adjust your settings for specific situations."
Locale["spellprofiles load button"] = "load"
Locale["spellprofiles load info"] = "You can load spell-profiles with slash-commands\n'/vexalarm profile test' makes the addon load the profile with the name 'test'."
Locale["spellprofiles profile not found"] = "Error: Spell-Profile not found"
Locale["spellprofiles profile loaded 1"] = "Profile"
Locale["spellprofiles profile loaded 2"] = "loaded"

--profiles (some are shard with spellprofiles)
Locale["profiles info grpname"] = "Information"
Locale["profiles info"] = "You can save your current settings in profiles and load them later on. That way you can easily copy your settings to other characters."
Locale["profiles add grpname"] = "Add Profile"
Locale["profiles add name"] = "Name"
Locale["profiles add name desc"] = "Enter a name for the new profile"
Locale["profiles add button"] = "add"
Locale["profiles add info"] = "Profile names may only contain numbers, letters and spaces"
Locale["profiles delete grpname"] = "Delete Profile"
Locale["profiles delete profile"] = "Profile"
Locale["profiles delete button"] = "delete"
Locale["profiles delete confirm"] = "Are you sure you want to delete the profile?"
Locale["profiles load grpname"] = "Load Profile"
Locale["profiles load name"] = "Profile"
Locale["profiles load button all"] = "load complete profile"
Locale["profiles load button all desc"] = "load settings, spell-adjustments and spell-profiles"
Locale["profiles load button settings"] = "load settings"
Locale["profiles load button spell-settings"] = "load spell-settings"
Locale["profiles load button spell-settings desc"] = "spell-settings are the current spell adjustments of that profile"
Locale["profiles load button spell-profiles"] = "load spell-profiles"

--sounds
Locale["sounds general grpname"] = "General Settings"
Locale["sounds allow"] = "Allow Sounds"
Locale["sounds buffs grpname"] = "Buffs"
Locale["sounds buffs active grpname"] = "Active Buffs"
Locale["sounds buffs inactive grpname"] = "Inactive Buffs"
Locale["sounds casts grpname"] = "Casts"
Locale["sounds sound"] = "Sound"
Locale["sounds channel"] = "Channel"

--show
Locale["show general grpname"] = "General Settings"
Locale["show activate"] = "activate addon"
Locale["show settings grpname"] = "Show Settings"
Locale["show infight"] = "Show only infight"
Locale["show grp-spells"] = "Only show spells when the caster is in my grp/raid"
Locale["show myspells"] = "Show my spells"