--Option Panel functions
function vexalarm_optionpanel_OnLoad(reload)
	vexalarm.panel = {}
	vexalarm.panel.main = vexalarm.panel_main()
	vexalarm.panel.msgs = vexalarm.panel_msgs()
	vexalarm.panel.msgcontent = vexalarm.panel_msgcontent()
	vexalarm.panel.frame = vexalarm.panel_field()
	vexalarm.panel.sounds = vexalarm.panel_sounds()
	vexalarm.panel.spells2 = vexalarm.panel_spells(2)
	vexalarm.panel.spells3 = vexalarm.panel_spells(3)
	vexalarm.panel.spells4 = vexalarm.panel_spells(4)
	vexalarm.panel.spells5 = vexalarm.panel_spells(5)
	vexalarm.panel.spells6 = vexalarm.panel_spells(6)
	vexalarm.panel.spellprofiles = vexalarm.panel_spellprofiles()
	vexalarm.panel.profiles = vexalarm.panel_profiles()
	vexalarm.panel.show = vexalarm.panel_show()
	
	vexalarm_optionpanel = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm", "Vex Alarm")
	vexalarm_optionpanel_frame = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm "..vexalarm.Locale["titles Frame Design"], vexalarm.Locale["titles Frame Design"], "Vex Alarm")
	vexalarm_optionpanel_msgs = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm "..vexalarm.Locale["titles Message Settings"], vexalarm.Locale["titles Message Settings"], "Vex Alarm")
	vexalarm_optionpanel_msgcontent = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm "..vexalarm.Locale["titles Message Content"], vexalarm.Locale["titles Message Content"], "Vex Alarm")
	vexalarm_optionpanel_spells1 = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm "..vexalarm.Locale["titles Spells"].." 'Buffs'", vexalarm.Locale["titles Spells"].." 'Buffs'", "Vex Alarm")
	vexalarm_optionpanel_spells2 = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm "..vexalarm.Locale["titles Spells"].." 'Selfbuffs'", vexalarm.Locale["titles Spells"].." 'Selfbuffs'", "Vex Alarm")
	vexalarm_optionpanel_spells3 = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm "..vexalarm.Locale["titles Spells"].." 'Grpbuffs'", vexalarm.Locale["titles Spells"].." 'Grpbuffs'", "Vex Alarm")
	vexalarm_optionpanel_spells4 = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm "..vexalarm.Locale["titles Spells"].." 'Casts'", vexalarm.Locale["titles Spells"].." 'Casts'", "Vex Alarm")
	vexalarm_optionpanel_spells5 = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm "..vexalarm.Locale["titles Spells"].." 'Selfcasts'", vexalarm.Locale["titles Spells"].." 'Selfcasts'", "Vex Alarm")
	vexalarm_optionpanel_spellprofiles = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm "..vexalarm.Locale["titles Spell-Profiles"], vexalarm.Locale["titles Spell-Profiles"], "Vex Alarm")
	vexalarm_optionpanel_sounds = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm "..vexalarm.Locale["titles Sounds"], vexalarm.Locale["titles Sounds"], "Vex Alarm")
	vexalarm_optionpanel_show = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm "..vexalarm.Locale["titles Show/Enable"], vexalarm.Locale["titles Show/Enable"], "Vex Alarm")
	vexalarm_optionpanel_profiles = vexalarm.AceConfigDialog:AddToBlizOptions("Vex Alarm "..vexalarm.Locale["titles Profiles"], vexalarm.Locale["titles Profiles"] , "Vex Alarm")
	
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm", vexalarm.panel.main, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm "..vexalarm.Locale["titles Frame Design"], vexalarm.panel.frame, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm "..vexalarm.Locale["titles Sounds"], vexalarm.panel.sounds, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm "..vexalarm.Locale["titles Message Settings"], vexalarm.panel.msgs, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm "..vexalarm.Locale["titles Message Content"], vexalarm.panel.msgcontent, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm "..vexalarm.Locale["titles Spells"].." 'Buffs'", vexalarm.panel.spells2, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm "..vexalarm.Locale["titles Spells"].." 'Selfbuffs'", vexalarm.panel.spells3, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm "..vexalarm.Locale["titles Spells"].." 'Grpbuffs'", vexalarm.panel.spells4, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm "..vexalarm.Locale["titles Spells"].." 'Casts'", vexalarm.panel.spells5, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm "..vexalarm.Locale["titles Spells"].." 'Selfcasts'", vexalarm.panel.spells6, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm "..vexalarm.Locale["titles Spell-Profiles"], vexalarm.panel.spellprofiles, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm "..vexalarm.Locale["titles Profiles"], vexalarm.panel.profiles, {})
	vexalarm.AceConfig:RegisterOptionsTable("Vex Alarm "..vexalarm.Locale["titles Show/Enable"], vexalarm.panel.show, {})
end

function vexalarm_dec2hex(r,g,b)
	if r == nil then r = 0 end
	if g == nil then g = 0 end
	if b == nil then b = 0 end
    return string.format("%02x%02x%02x", r*250, g*250, b*250)
end